Document Directory

Translation Task API

Delete Translation Task

POST/v1/translation/delete

Delete a translation task by its ID.

Complete address
https://otranslator.com/api/v1/translation/delete
Authentication
API Key needs to be passed in the Authorization request header
Content-Type
application/json
Invalid format
{ "error": "Invalid API key." }

Precautions

After deletion, the task will be marked as deleted, and the translation service will be called to clean up task-related resources.

Example

curl
1curl -X POST 'https://otranslator.com/api/v1/translation/delete' \
2--header 'Authorization: [yourSecretKey]' \
3--header 'Content-Type: application/json' \
4--data '{
5  "taskId": "[string]"
6}'

Request Parameters

ParametersTypeDefaultDescriptionExample
*taskIdString-

Translation Task ID

-

Response

ParametersTypeDefaultDescriptionExample
successBoolean-

Deletion successful

-

Common Errors

401 Missing API key.

The Authorization request header is required.

401 Invalid API key.

The API key does not exist, has been deleted, or is no longer valid.

400 Missing required parameter: taskId.

Provide the taskId returned by the create translation task API.

404 Task not found.

The task does not exist, has been deleted, does not belong to the current API account, or was not created through the API.

Translation Task API
Query translation tasks
Translation Task API
Retrieve translation